
class Tagz12 expands BlastMark config(goTagz);

var config string Tag12TextureChoice;
var Texture Tag12Tex;

replication
{
   reliable if ( Role == ROLE_Authority )
      Tag12TextureChoice, Tag12Tex;
}

simulated function PostBeginPlay()
{
 	local Tagz12 T;

   Super.PostBeginPlay();
   SetTimer(1.0, false);
   forEach AllActors(class'Tagz12', T)
      if (T !=Self)
         T.Destroy();
   Tag12Tex = texture(DynamicLoadObject(Tag12TextureChoice, class'Texture'));
   self.Texture = Tag12Tex;
   self.Style = STY_Normal;
}

simulated function DirectionalAttach(vector Dir, vector Norm)
{
   SetRotation(rotator(Norm));
	Log(Norm);
	Log(Dir);
	if( AttachDecal(100, Dir) == None)
	{
		Destroy();
	}
}

simulated function AttachToSurface()
{
	bAttached = AttachDecal(100, vect(0,0,1)) != None;
}

simulated function Timer()
{
}

defaultproperties
{
	Drawscale=1.0
}