
class Tagz13 expands BlastMark config(goTagz);

var config string Tag13TextureChoice;
var Texture Tag13Tex;

replication
{
   reliable if ( Role == ROLE_Authority )
      Tag13TextureChoice, Tag13Tex;
}

simulated function PostBeginPlay()
{
 	local Tagz13 T;

   Super.PostBeginPlay();
   SetTimer(1.0, false);
   forEach AllActors(class'Tagz13', T)
      if (T !=Self)
         T.Destroy();
   Tag13Tex = texture(DynamicLoadObject(Tag13TextureChoice, class'Texture'));
   self.Texture = Tag13Tex;
   self.Style = STY_Normal;
}

simulated function DirectionalAttach(vector Dir, vector Norm)
{
   SetRotation(rotator(Norm));
	Log(Norm);
	Log(Dir);
	if( AttachDecal(100, Dir) == None)
	{
		Destroy();
	}
}

simulated function AttachToSurface()
{
	bAttached = AttachDecal(100, vect(0,0,1)) != None;
}

simulated function Timer()
{
}

defaultproperties
{
	Drawscale=1.0
}
