
class Tagz16 expands BlastMark config(goTagz);

var config string Tag16TextureChoice;
var Texture Tag16Tex;

replication
{
   reliable if ( Role == ROLE_Authority )
      Tag16TextureChoice, Tag16Tex;
}

simulated function PostBeginPlay()
{
 	local Tagz16 T;

   Super.PostBeginPlay();
   SetTimer(1.0, false);
   forEach AllActors(class'Tagz16', T)
      if (T !=Self)
         T.Destroy();
   Tag16Tex = texture(DynamicLoadObject(Tag16TextureChoice, class'Texture'));
   self.Texture = Tag16Tex;
   self.Style = STY_Normal;
}

simulated function DirectionalAttach(vector Dir, vector Norm)
{
   SetRotation(rotator(Norm));
	Log(Norm);
	Log(Dir);
	if( AttachDecal(100, Dir) == None)
	{
		Destroy();
	}
}

simulated function AttachToSurface()
{
	bAttached = AttachDecal(100, vect(0,0,1)) != None;
}

simulated function Timer()
{
}

defaultproperties
{
	Drawscale=1.0
}
