
class Tagz22 expands BlastMark config(goTagz);

var config string Tag22TextureChoice;
var Texture Tag22Tex;

replication
{
   reliable if ( Role == ROLE_Authority )
      Tag22TextureChoice, Tag22Tex;
}

simulated function PostBeginPlay()
{
 	local Tagz22 T;

   Super.PostBeginPlay();
   SetTimer(1.0, false);
   forEach AllActors(class'Tagz22', T)
      if (T !=Self)
         T.Destroy();
   Tag22Tex = texture(DynamicLoadObject(Tag22TextureChoice, class'Texture'));
   self.Texture = Tag22Tex;
   self.Style = STY_Normal;
}

simulated function DirectionalAttach(vector Dir, vector Norm)
{
   SetRotation(rotator(Norm));
	Log(Norm);
	Log(Dir);
	if( AttachDecal(100, Dir) == None)
	{
		Destroy();
	}
}

simulated function AttachToSurface()
{
	bAttached = AttachDecal(100, vect(0,0,1)) != None;
}

simulated function Timer()
{
}

defaultproperties
{
	Drawscale=1.0
}
