
class Tagz24 expands BlastMark config(goTagz);

var config string Tag24TextureChoice;
var Texture Tag24Tex;

replication
{
   reliable if ( Role == ROLE_Authority )
      Tag24TextureChoice, Tag24Tex;
}

simulated function PostBeginPlay()
{
 	local Tagz24 T;

   Super.PostBeginPlay();
   SetTimer(1.0, false);
   forEach AllActors(class'Tagz24', T)
      if (T !=Self)
         T.Destroy();
   Tag24Tex = texture(DynamicLoadObject(Tag24TextureChoice, class'Texture'));
   self.Texture = Tag24Tex;
   self.Style = STY_Normal;
}

simulated function DirectionalAttach(vector Dir, vector Norm)
{
   SetRotation(rotator(Norm));
	Log(Norm);
	Log(Dir);
	if( AttachDecal(100, Dir) == None)
	{
		Destroy();
	}
}

simulated function AttachToSurface()
{
	bAttached = AttachDecal(100, vect(0,0,1)) != None;
}

simulated function Timer()
{
}

defaultproperties
{
	Drawscale=1.0
}